package de.duehl.vocabulary.japanese.logic.symbol.kanji.strokes.tools;

/**
 * Diese Klasse stellt Hilfsmethoden rund um Code-Points zur Verfügung.
 *
 * @version 1.01     2026-08-19
 * @author Christian Dühl
 */

public class CodePointTools {

    /** Generiert aus einem Charakter wie einem Kanji den Codepoint. So wird aus "漢" dann 28450. */
    public static int characterToCodePoint(String character) {
        return character.codePointAt(0);
    }

    /** Generiert aus einem Codepoint einen Charakter. So wird aus 28450 dann "漢". */
    public static String codePointToCharacter(int codePoint) {
        return new String(Character.toChars(codePoint));
    }

}
